2015-11-03 07:20 PM - Miroslav Umlauf

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GRASS

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21775
Description

In some GRASS tools in the processing toolbox | find wrong limitations on field type. It might be problem also for some SAGA tools
and others, not sure here.

For example in v.clean.advanced it is possible to set list of cleaning tools (comma separated) but right beneath for the Treshold it can be
only one number. Where grass manual on v.clean https:/grass.osgeo.org/grass64/manuals/v.clean.html states clearly Threshold in map
units, one value for each tool (default: 0.0[,0.0,...])

At this moment | can't remember and it is hard for me to find time to go through all the tools and check what are the others but it would be
great to fix all/most of them once this is on.

Affected version 2.12 and many before as | am aware.

Associated revisions

Revision 04542290 - 2016-01-12 07:24 PM - Alexander Bruy

[processing] allow multiple threshold values for GRASS v.clean.advanced algorithm (fix #13748)

History

#1 - 2015-11-05 11:28 AM - Giovanni Manghi
- Operating System deleted (All)

- Assignee changed from Victor Olaya to Giovanni Manghi

| can fix this, then if other cases will arise we can open separate tickets.

#2 - 2016-01-12 10:25 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"04542a900a7c66975884fb6ee21fc2514645b246".

#3 - 2016-01-12 10:34 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from Closed to In Progress
#4 - 2016-01-12 10:34 AM - Alexander Bruy
- Status changed from In Progress to Closed
